var $isClicked = false;
(function($){
    "use strict";

    jQuery(document).on('change','#tk-list-type',function(e){
        e.preventDefault();
        let url_link    = jQuery(this).find(':selected').attr('data-url');
        jQuery('#tk-header-form').attr('action', url_link);

    });

    //toggle mobile menu
    jQuery(".tk-dbmenu").on("click", function () {
        jQuery(".tk-asidewrapper , .tk-asidedetail").toggleClass("tk-opendbmenu");
    });

    // blog sort by
    jQuery(document).on('change', '#blog-sort', function (e) {
        let sort_val = jQuery(this).val();
        if (sort_val) {
            var url = window.location.href;
            url = taskupRemoveParam("sort_by", url);
            if (url.indexOf('?') > -1) {
                url += '&sort_by=' + sort_val
            } else {
                url += '?sort_by=' + sort_val
            }
            window.location.href = url;
        }
        e.preventDefault();
    });
})(jQuery);



//Remove param from URL
function taskupRemoveParam(key, sourceURL) {
	var rtn = sourceURL.split("?")[0],
		param,
		params_arr = [],
		queryString = (sourceURL.indexOf("?") !== -1) ? sourceURL.split("?")[1] : "";

	if (queryString !== "") {
		params_arr = queryString.split("&");
		for (var i = params_arr.length - 1; i >= 0; i -= 1) {
			param = params_arr[i].split("=")[0];
			if (param === key) {
				params_arr.splice(i, 1);
			}
		}
		if (params_arr.length) rtn = rtn + "?" + params_arr.join("&");
	}

	return rtn;
}

//MOBILE MENU
function taskupCollapseMenu(){
    jQuery('.tk-themenav li.menu-item-has-children, .tk-themenav li.page_item_has_children').prepend('<span class="tk-dropdowarrow"><i class="tb-icon-chevron-right"></i></span>');
    jQuery('.tk-themenav ul.menu .tk-mega-menu, .tk-themenav ul.menu .tb-megamenu-holder').prepend('<span class="tk-dropdowarrow"><i class="tb-icon-chevron-right"></i></span>');

    if (jQuery(window).width() < 1200 && $isClicked === false) {
        $isClicked = true;
        jQuery('.tk-themenav li.menu-item-has-children > span, .tk-themenav li.page_item_has_children > span,.tk-themenav ul.menu .tk-mega-menu > span,.tk-themenav ul.menu .tb-megamenu-holder > span').on('click', function() {
            jQuery(this).parent('li').toggleClass('tk-menuopen');
            if(jQuery(this).parent().hasClass('tb-megamenu-on-responsive-show')){
                jQuery(this).parent().find('.taskbot-megamenu').slideToggle(300);
            }else{
                jQuery(this).parent().find('.sub-menu').first().slideToggle(300);
            }
        });
        
        jQuery('.tk-navbar-nav li.menu-item-has-children > a, .tk-navbar-nav ul li.page_item_has_children > a').on('click', function() {
            if ( location.href.indexOf("#") != -1 ) {
                jQuery(this).parent('li').toggleClass('tk-menuopen');
                jQuery(this).next().slideToggle(300);
            }
        });
    }
}

taskupCollapseMenu();
jQuery( window ).resize(function() {
    taskupCollapseMenu();
});

jQuery(window).load(function () {
    var loading_duration = taskup_vars.loading_duration;
    jQuery(".preloader-outer").delay(loading_duration).fadeOut();
    jQuery(".sv-preloader-holder").delay(loading_duration).fadeOut("slow");
});

//SVG Render
jQuery("img.amsvglogo").each(function(){var t=jQuery(this),r=t.attr("id"),a=t.attr("class"),e=t.attr("src");jQuery.get(e,function(e){var i=jQuery(e).find("svg");void 0!==r&&(i=i.attr("id",r)),void 0!==a&&(i=i.attr("class",a+" replaced-svg")),i=i.removeAttr("xmlns:a"),t.replaceWith(i)},"xml")});