<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package taskup
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('tk-theme-box'); ?>>
	<?php taskup_post_thumbnail(); ?>
	<header class="taskup-entry-header">
		<?php echo get_the_term_list($post->ID, 'category', '<ul class="taskup-cat-links"><li>', '</li><li>', '</li></ul>'); ?>
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<?php if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<span class="taskup-byline">
                    <i class="tb-icon-message-square"></i>
					<span><?php comments_number(esc_html__('0 Comments' , 'taskup') , esc_html__('1 Comment' , 'taskup') , esc_html__('% Comments' , 'taskup')); ?></span>
                </span>
				<?php
					taskup_posted_on();
				?>
			</div>
		<?php endif; ?>
	</header>
	<div class="taskup-entry-summary">
		<?php the_excerpt(); ?>
	</div>
</article>